Loading...
Searching...
No Matches
osmium::out_of_order_error Struct Reference

`#include <check_order.hpp>`

Inheritance diagram for osmium::out_of_order_error:
[legend]
Collaboration diagram for osmium::out_of_order_error:
[legend]

## Public Member Functions

| out_of_order_error (const std::string &what, osmium::object_id_type id)
| out_of_order_error (const char *what, osmium::object_id_type id)

## Public Attributes

osmium::object_id_type | object_id

## Detailed Description

Exception thrown when a method in the CheckOrder class detects that the input is out of order.

## Constructor & Destructor Documentation

## out_of_order_error() [1/2]

osmium::out_of_order_error::out_of_order_error | ( | const std::string & | what,
|  | osmium::object_id_type | id )

inlineexplicit

## out_of_order_error() [2/2]

osmium::out_of_order_error::out_of_order_error | ( | const char * | what,
|  | osmium::object_id_type | id )

inlineexplicit

## Member Data Documentation

## object_id

osmium::object_id_type osmium::out_of_order_error::object_id

The documentation for this struct was generated from the following file:

- include/osmium/handler/check_order.hpp